// 
// File:   canDriverEsd.h
// Author: karol
//
// Created on January 2, 2008, 11:47 AM
//

#ifndef __CANDRIVERESD_H__
#define	__CANDRIVERESD_H__


#include "canDriver.h"
#include "ntcan.h" 


typedef struct
{
    int code;
    char message[32];
} ERRORDESCR;

class CanDriverEsd : public CanDriver
{
    private:
        static const long SupportedBaudRates[14];   
        static const ERRORDESCR errorDescriptor[20];
        int  sendMsg( CanMessage& m );
        int  receiveMsg( CanMessage& m );

        HANDLE handle;
        int findBaudRateIndex( long baudRate );
        const char *getErrorDescription( int error );
    public:
        CanDriverEsd();
        CanDriverEsd( long baudRate, unsigned int net );
        int initialize(  long baudRate, unsigned int net );
};

#endif	/* __CANDRIVERESD_H__ */

