

#ifndef __CAN_MESSAGE_COLLECTOR__
#define __CAN_MESSAGE_COLLECTOR__


#include "timeSlice.h"
#include "canMessage.h"
#include "canDriver.h"

extern Log Lg;

class CanMessageCollector: public TimeSlice
{

 private:
  CanDriver * canDriver ;

 public:
  CanMessageCollector(CanDriver *drv);
  int submit( CanMessage& msg );
  void activate( void );

};

#endif
