
/* 
   CANopen manager
   Karol, 24.11.2006
*/
#ifndef _COINIT_H_
#define _COINIT_H_

#include "loggerClass/log.h"
#include "timeSlice.h"
#include "hrtimer.h"
#include "coMan.h"
#include "dirList.h"
#include "configurator.h"

int coInit(Configurator * config);  // returns number of Comans
Coman* getComan(int idx);           // returns Coman[idx]
void coActivate(void);
int isInitDone();
#endif
