#include "dirList.h"



DirList::DirList( char *directory, char * extension )
{
  list = new LinkedList();

  DIR * dir = opendir( directory );
  struct dirent *direntry;
  char *p;

  while( (direntry = readdir(dir)) != NULL )
    {
      if( extension != NULL )
        {
          if( (p = strstr( direntry->d_name, extension )) != NULL )
            {
              // filename contains extension pattern, check if the extension is at the end of the filename 
              // file.ext ---> OK, accept it
              // file.ext.blabla -> BAD, ignore it
              if( !strcmp( p, extension ) ) list->add( direntry->d_name, strlen( direntry->d_name ) );                
            }
        }
    }
  closedir( dir ); 
}
DirList::~DirList()
{
  delete list;
}

char * DirList::getEntry()
{
  if( list->getCurrent() == NULL ) return NULL;
  return (char*)list->getCurrent();
}
 

