
#include "nodeGuard.h"


NodeGuardProducer::NodeGuardProducer()
{
  enabled = false;
  interval = 1000;
  nodeGuardId = 0x700; // default
  setName( "NodeGuard" );
}

void NodeGuardProducer::activate()
{ 
  if( !enabled ) return;
  if( Timer.expired() )
    {
      CanMessage m;     
      m.setDataLen(0);
      m.setRTR();
      m.setId( nodeGuardId );
      cmc->submit(m);
      Timer.restart();
    }
}

