  
#include "tools.h"

char * toUpperString( char * s ) 
{ 
  char * b = s; 
  while(*s) { *s = toupper(*s);  ++s; } 
  return b;
}

char * trim( char *s  )
{
  char * ptr = s;
  int len;

  while( *s )
    {
      if( *s++ == ' ' ) ++ptr;      
      else break;
    }

  if ( ( len = strlen( ptr ) ) == 0 ) return ptr;

  while( --len )
    {
      if( *(ptr + len) == ' ' ) *(ptr+len) = '\0';
      else break;
    }
  return ptr;
}

char * trimCRLF( char * s )
{
  int len; 
  
  if( ( len = strlen( s ) ) == 0 ) return s;

  --len;
  do
  {
    if( ( *(s + len) == '\n' ) || (*(s + len) == '\r' ) ) *(s+len) = '\0';
    else break;
  } while (len-- );
  
  return s;
}

int crack( char * str, char * words[], char * delims, int maxwords )
{
  int n = 0;

  if( ( words[0] = strtok( str, delims ) ) != NULL )
    while( ++n < maxwords - 1 ) if( (words[n] = strtok( NULL, delims )) == NULL ) break;

  if( n == maxwords -1 )
    {
      words[n] = words[n-1] + strlen( words[n-1] ) + 1;
      ++n;
    }

  return n;
}

