#ifndef __DIRLIST_H__
#define __DIRLIST_H__

using namespace std;

#include <sys/types.h>
#include <dirent.h>
#include <sstream>
#include <iostream> 

#include "linkedList.h"


class DirList
{
 private:
  LinkedList *list;

 public:
  DirList(char *directory, char * extension);
  ~DirList();
  char * getEntry();  
  inline int goToNext() { return list->goToNext(); }
  inline int goToPrevious() { return list->goToPrevious(); }
  inline int getListLen() { return list-> getListLen(); }
  inline int hasNext() { return list->hasNext(); }
  inline int hasPrevious() { return list->hasPrevious(); }
  inline void goToFirst() {  list->goToFirst(); }
  inline void goToLast()  {  list->goToLast(); }
  inline int isLast() { return list->isLast(); }
  inline int isFirst() { return list->isFirst(); }
};

#endif
