// 
// File:   sdoFwd.h
// Author: karol
//
// Created on December 14, 2007, 4:41 PM
//

#ifndef __SDOFWD_H__
#define	__SDOFWD_H__

#include "loggerClass/log.h"

extern Log Lg;
class SDOfwd
{
 private:
    int index;
    int subindex;
    void *data;
    int dataType;
    int * result;
    int command;
 public:
     inline SDOfwd() {}
     inline SDOfwd( int index, int subindex, void * data, int dataType, int * result , int command )
     { 
         set(index,subindex,data,dataType,result,command);
     }
     inline void set( int index, int subindex, void * data, int dataType, int * result , int command )
     {
         this->index = index;
         this->subindex = subindex;
         this->command = command;
         this->data = data;
         this->dataType = dataType;
         this->result = result;   	
     }
     inline int getIndex()    { return index; }
     inline int getSubindex() { return subindex; }
     inline void * getData()  { return data; }
     inline int getDataType() { return dataType; }
     inline int getCommand()  { return command; }
     inline int * getResult() { return result; }
     inline void dump() { Lg << DBG << "index = 0x" << hex << index <<", subindex = 0x" << subindex << ", result ptr = " << result << dec << endl;}
};

#endif	/* __SDOFWD_H__ */

