
#include <stdio.h>
#include "version.h"
#include <sys/time.h>
#include <time.h>

static char Version[64];
static char StartTime[64];

void   setVersion() 
{  
  struct timeval tb;

  gettimeofday( &tb, NULL );
  struct tm * tms = localtime((time_t*) &tb.tv_sec);  
  sprintf( StartTime, "%02d.%02d.%04d, %02d:%02d:%02d",
           tms->tm_mday, tms->tm_mon+1, tms->tm_year+1900, 
           tms->tm_hour,tms->tm_min,tms->tm_sec );
  sprintf( Version, "compiled on %s at %s", __DATE__, __TIME__ );
}

char * getVersion()   { return Version;   }
char * getStartTime() { return StartTime; }
